| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
IChangePool Class Referenceabstract

An interface for classes responsible of cache changes allocation management. More...

`#include <IChangePool.hpp>`

## Public Member Functions

virtual | ~IChangePool ()=default
virtual bool | reserve_cache (CacheChange_t *&cache_change)=0
| Get a new cache change from the pool.
virtual bool | release_cache (CacheChange_t *cache_change)=0
| Return a cache change to the pool.

## Detailed Description

An interface for classes responsible of cache changes allocation management.

## Constructor & Destructor Documentation

## ◆ ~IChangePool()

virtual ~IChangePool | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ release_cache()

virtual bool release_cache | ( | CacheChange_t * | cache_change | ) |

pure virtual

Return a cache change to the pool.

Parameters

  [in] | cache_change | Pointer to the cache change to release.

Returns
  whether the operation succeeded or not

Precondition
  - `cache_change` is not `nullptr`
  - `cache_change` points to a cache change obtained from a call to `this->reserve_cache`

## ◆ reserve_cache()

virtual bool reserve_cache | ( | CacheChange_t *& | cache_change | ) |

pure virtual

Get a new cache change from the pool.

Parameters

  [out] | cache_change | Pointer to the new cache change.

Returns
  whether the operation succeeded or not

Precondition
  `cache_change` is `nullptr`

Postcondition
  - `cache_change` is not nullptr
  - `*cache_change` equals `CacheChange_t()` except for the contents of `serializedPayload`

The documentation for this class was generated from the following file:

- include/fastdds/rtps/history/IChangePool.hpp